Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.motifDiscovery
Enum SignificantMotifOccurrencesFinder.RandomSeqType

    java.lang.Object
      java.lang.Enum<SignificantMotifOccurrencesFinder.RandomSeqType>
          de.jstacs.motifDiscovery.SignificantMotifOccurrencesFinder.RandomSeqType

All Implemented Interfaces:
  Serializable, Comparable<SignificantMotifOccurrencesFinder.RandomSeqType>

Enclosing class:
  SignificantMotifOccurrencesFinder

    public static enum SignificantMotifOccurrencesFinder.RandomSeqType

extends Enum<SignificantMotifOccurrencesFinder.RandomSeqType>

Author:
  Jan Grau, Jens Keilwagen

Enum Constant Summary
`BACKGROUND` A enum constant that indicates to use the a background set to determine the significance level.
`hMM0` A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 0 to determine the significance level.
`hMM1` A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 1 to determine the significance level.
`hMM2` A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 3 to determine the significance level.
`hMM3` A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 3 to determine the significance level.
`hMM4` A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 4 to determine the significance level.
`hMM5` A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 5 to determine the significance level.
`PERMUTED` A enum constant that indicates to use permuted instances of the sequence to determine the significance level.

Method Summary
`int` | `getOrder()` This method returns the Markov order.
`static SignificantMotifOccurrencesFinder.RandomSeqType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SignificantMotifOccurrencesFinder.RandomSeqType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BACKGROUND

    public static final SignificantMotifOccurrencesFinder.RandomSeqType BACKGROUND

  A enum constant that indicates to use the a background set to determine the significance level.

### PERMUTED

    public static final SignificantMotifOccurrencesFinder.RandomSeqType PERMUTED

  A enum constant that indicates to use permuted instances of the sequence to determine the significance level.

### hMM0

    public static final SignificantMotifOccurrencesFinder.RandomSeqType hMM0

  A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 0 to determine the significance level.

### hMM1

    public static final SignificantMotifOccurrencesFinder.RandomSeqType hMM1

  A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 1 to determine the significance level.

### hMM2

    public static final SignificantMotifOccurrencesFinder.RandomSeqType hMM2

  A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 3 to determine the significance level.

### hMM3

    public static final SignificantMotifOccurrencesFinder.RandomSeqType hMM3

  A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 3 to determine the significance level.

### hMM4

    public static final SignificantMotifOccurrencesFinder.RandomSeqType hMM4

  A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 4 to determine the significance level.

### hMM5

    public static final SignificantMotifOccurrencesFinder.RandomSeqType hMM5

  A enum constant that indicates to use sequences drawn from a homogeneous Markov model of order 5 to determine the significance level.

Method Detail

### values

    public static SignificantMotifOccurrencesFinder.RandomSeqType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SignificantMotifOccurrencesFinder.RandomSeqType c : SignificantMotifOccurrencesFinder.RandomSeqType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SignificantMotifOccurrencesFinder.RandomSeqType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getOrder

    public int getOrder()

  This method returns the Markov order.

  Returns:
    the Markov order

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD